Skip to main content
`Ctrl`+`K`

# PetscCountCast

casts a `PetscCount` to a `PetscInt` (which may be 32-bits in size), generates an error if the `PetscInt` is not large enough to hold the number.

## Synopsis

    static inline PetscErrorCode PetscCountCast(PetscCount a, PetscInt *b)

Not Collective; No Fortran Support

## Input Parameter

- a - the `PetscCount` value

## Output Parameter

- b - the resulting `PetscInt` value

## Note

If integers needed for the applications are too large to fit in 32-bit integers you can ./configure using `--with-64-bit-indices` to make `PetscInt` use 64-bit integers

## See Also

`PetscCount`, `PetscBLASInt`, `PetscMPIInt`, `PetscInt`, `PetscMPIIntCast()`, `PetscBLASIntCast()`, `PetscIntMultError()`, `PetscIntSumError()`, `PetscIntCast()`

## Level

advanced

## Location

include/petscsys.h

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages